%global fontname gfs-artemisia
%global fontconf 60-%{fontname}.conf

%define _fontdir %{_datadir}/fonts
%define _fontconfig_confdir %{_sysconfdir}/fonts/conf.d
%define _fontconfig_templatedir %{_datadir}/fontconfig/conf.avail

%global archivename GFS_ARTEMISIA_OT

Name:    %{fontname}-fonts
Version: 20070415
Release: 1
Summary: GFS Artemisia fonts

Group:     User Interface/X
License:   OFL
URL:       http://www.greekfontsociety.gr/pages/en_typefaces20th.html
Source0:   http://www.greekfontsociety.gr/%{archivename}.zip
Source1:   %{name}-fontconfig.conf
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch

BuildRequires: coreutils, sed, unzip
Requires:      fontconfig

%description
The type family GFS Artemisia was designed by the painter-engraver Takis
Katsoulidis and reflects his style and typographic acumen. It is largely his
effort to offer, from a different perspective, a type face which, like Times
Greek, would be applicable to a wide spectrum of uses and equally agreeable and
legible.

The typeface has been digitised by George D. Matthiopoulos.


%prep
%setup -q -c -T
export PATH=/opt/freeware/bin:$PATH
unzip -j -L -q %{SOURCE0}
chmod 0644 *.txt
for txt in *.txt ; do
   fold -s $txt > $txt.new
   sed -i 's/\r//' $txt.new
   touch -r $txt $txt.new
   mv $txt.new $txt
done


%build


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

mkdir -p ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}
chmod 0755 ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}

cp *.otf ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}/
chmod 0644 ${RPM_BUILD_ROOT}%{_fontdir}/%{fontname}/*

mkdir -p ${RPM_BUILD_ROOT}%{_fontconfig_confdir}
mkdir -p ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}

cp %{SOURCE1} ${RPM_BUILD_ROOT}%{_fontconfig_templatedir}/%{fontconf}.conf

ln -sf %{_fontconfig_templatedir}/%{fontconf}.conf ${RPM_BUILD_ROOT}%{_fontconfig_confdir}/%{fontconf}.conf


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc *.txt *.pdf
%{_fontconfig_confdir}/%{fontconf}.conf
%{_fontconfig_templatedir}/%{fontconf}.conf
%dir %{_fontdir}/%{fontname}
%{_fontdir}/%{fontname}/*.otf


%changelog
* Mon Jun 25 2012 Michael Perzl <michael@perzl.org> - 20070415-1
- first version for AIX V5.1 and higher
